commit:     685a7f75cc5625c5fcca0553a34e2a414260a9ab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 21 14:03:39 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 21 14:03:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=685a7f75

dev-python/python-docs: Bump to 3.8.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-docs/Manifest                  |  1 +
 dev-python/python-docs/python-docs-3.8.13.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/python-docs/Manifest b/dev-python/python-docs/Manifest
index e14c41c2a843..8833da9bb2ea 100644
--- a/dev-python/python-docs/Manifest
+++ b/dev-python/python-docs/Manifest
@@ -2,4 +2,5 @@ DIST python-2.7.18-docs-html.tar.bz2 4634932 BLAKE2B 
c48e2dede15d8186231acf65709
 DIST python-3.7.11-docs-html.tar.bz2 6294193 BLAKE2B 
3fe4794770e81ac92c75d3fe3d717770011d3ee5d98bc0ea67049450427b01924ff10ee41ef04932e4885b08f808bf0e1b8d2b09ead2b28303a25d2a9cc8db56
 SHA512 
c2e354df460b20cbcf49cde56a93070033dc8364f6678bcab62ffd66dbe9803447d5169c033486331351c2cc1dc7140879297e0ad1ce35c6788c94ad3555b283
 DIST python-3.7.13-docs-html.tar.bz2 6289395 BLAKE2B 
d59299c681beaa32e56c06b5662960351bb33050b0c097c82c791d930671b653dbaaedce083232d26e08f022dea0a53f7d5c940ee9bc626a94f3c392ee052042
 SHA512 
a55b43d90f6677e89870001c88106250b695a02ec01832954cce17e1291d259e8440d379ad91f7e0ed1ac3aa1380da28c3a75f29609b881a8f2bad6bf8f79189
 DIST python-3.8.11-docs-html.tar.bz2 6603016 BLAKE2B 
8488fdef3fce83c71140d4fec328a0564993b95a6d00307da3ace1c3c4447b0edf99e514cdb224cb06df14228748a7ba9355525a5c8afcc4bd4e27ba20530210
 SHA512 
8fb51867d2e0af1b4f6e39d24241ef5b8955f9f8bada31c4ee096e4148b0313d10eecb4dee3b6af4bef6ffb3e4e871465cad8d05b5974719936f110cc96fb792
+DIST python-3.8.13-docs-html.tar.bz2 6698035 BLAKE2B 
4c26c4bca374a24c33cf67c8bce3b4443e5640be278b46cd9da2eaa8eb44ecb6fe796d1a546ed71412f203c71a43f241c4e9ea1d700758ac59e18ad71a82e8d2
 SHA512 
244a9236762523f9c9784d00892254c0a8ae824536a649d858a68babac664b6f840bddf3ea41cb55a4f2c00f38180a72060cf5811f01a91f342ef5c41ccbc6b3
 DIST python-3.9.6-docs-html.tar.bz2 6848664 BLAKE2B 
d5e84fc69928e304898120b172629cd724043fff26237908f2adfb13c9ffa11701a87bcd7091eeeee4ef5b2ade12c29781ea26554a7f4fc13fd28efe765b48cf
 SHA512 
b9aa734e9616253278febc5f668ecb6f1d43bc824f84c92e3c13007441388d21e27edd4cb30c463739a271ffcbd8581d6d4573cfe693dca78623762bcdd5bf20

diff --git a/dev-python/python-docs/python-docs-3.8.13.ebuild 
b/dev-python/python-docs/python-docs-3.8.13.ebuild
new file mode 100644
index 000000000000..0d66370bcd05
--- /dev/null
+++ b/dev-python/python-docs/python-docs-3.8.13.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/";
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/python-${PV}-docs-html.tar.bz2";
+S="${WORKDIR}/python-${PV}-docs-html"
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc 
x86"
+
+src_install() {
+       rm -r _sources || die
+       docinto html
+       dodoc -r .
+
+       newenvd - 60python-docs-${SLOT} <<-EOF
+               
PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+       EOF
+}

Reply via email to